#!/bin/bash

export DISPLAY=:0

#Added some programs here since emptty had issues
polybar-restart &

# --- Music Workspace Start ---
#Note: So alacritty specifically (I believe kitty fixed this) has a scaling issue because L/R monitor diff resolutions
#so, as a result terminal apps spawned on LMON and moved to RMON resulting in too large text font so setting to 9.5
#as this is like 97% scaled correctly in most circumstances as a botchy hack for now, just bc I like alacritty default colors
#Update: switched back to kitty using a custom theme that's better looking, alacritty with -o=font.size=9.5 was removed btw
#TERM=alacritty
TERM=kitty
THEMES=include=kitty-themes/themes
THEME=$THEMES/Hybrid.conf
SETTINGS=$THEME
$TERM --class Lyrics -o=$SETTINGS -e "lyrics" &
(sleep 1; $TERM --class Miniplayer -o=$SETTINGS -e "miniplayer") &
# --- Music Workspace End ---


easyeffects --gapplication-service &
lxsession &
/usr/bin/emacs --daemon &
xbindkeys &
xset dpms 300 &
#xss-lock -- slock & 
xautolock -locker "slock" -nowlocker "slock -f" -time 5 &
picom --experimental-backends -b &
feh --bg-fill $(/public/wallpapers/mon1.cfg) --bg-fill $(/public/wallpapers/mon2.cfg) &
# /usr/local/bin/trayer-restart # Launch from polybar-restart launcher now
conky -q -c /home/allen/.config/conky-0.conf &
conky -q -c /home/allen/.config/conky-1.conf &
mpDris2 &
playerctld &
copyq &

# --- Start dolphin daemon for desktop portal so you can open files with dolphin without it being open beforehand ---
dolphin --daemon &

# Try to fix gui program issues, couldn't find a working fix outside of xmonad. WMName might be working though, not sure.
#xprop -id "$WINDOWID" -f _NET_WM_NAME 8u -set _NET_WM_NAME LG3D &
#xsetroot -name LG3D &
wmname "LG3D" &


# Start lxappearance to load settings, then close it as we don't need to keep window open
lxappearance &
sleep 1
killall lxappearance
